ParsedResult (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.client.result, class: ParsedResult

Package com.google.zxing.client.result

# Class ParsedResult

java.lang.Object
com.google.zxing.client.result.ParsedResult

Direct Known Subclasses:
  `AddressBookParsedResult`, `CalendarParsedResult`, `EmailAddressParsedResult`, `ExpandedProductParsedResult`, `GeoParsedResult`, `ISBNParsedResult`, `ProductParsedResult`, `SMSParsedResult`, `TelParsedResult`, `TextParsedResult`, `URIParsedResult`, `VINParsedResult`, `WifiParsedResult`

public abstract class ParsedResult extends Object

Abstract class representing the result of decoding a barcode, as more than a String -- as some type of structured data. This might be a subclass which represents a URL, or an e-mail address. `ResultParser.parseResult(com.google.zxing.Result)` will turn a raw decoded string into the most appropriate type of structured representation.

Thanks to Jeff Griffin for proposing rewrite of these classes that relies less on exception-based mechanisms during parsing.

Author:
  Sean Owen

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ParsedResult(ParsedResultType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getDisplayResult()`
  `final ParsedResultType`
  `getType()`
  `static void`
  `maybeAppend(String[] values, StringBuilder result)`
  `static void`
  `maybeAppend(String value, StringBuilder result)`
  `final String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParsedResult

    protected ParsedResult(ParsedResultType type)

- ## Method Details

  - ### getType

    public final ParsedResultType getType()

  - ### getDisplayResult

    public abstract String getDisplayResult()

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`

  - ### maybeAppend

    public static void maybeAppend(String value, StringBuilder result)

  - ### maybeAppend

    public static void maybeAppend(String[] values, StringBuilder result)